:root {
            --primary: #FF6B6B;
            --secondary: #4ECDC4;
            --dark: #292F36;
            --light: #F7FFF7;
            --accent: #FFE66D;
        }
         
 
 /* Basic Reset */
* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}

/* Body and HTML */
body, html {
    height: 140vh;
    margin: 0;
    
    background-color: #fff; 
    color: #292F36; 
    overflow-x: hidden;
    font-family: sans-serif;
}


span{
    font-size: 0.9em;
    overflow: auto;
    margin: 2px 5px 3px 5px;
    padding: 2px;
    
}

p{
    
    font-size: 1em;
    margin: 5px auto 10px 10px;
    

}

/* Navbar Styling */
.navbar {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px 10px;
    /*background: linear-gradient(to right, #FB974B, #C53932);*/
    background: linear-gradient(to right, #000000, #661E15);
    /*background: linear-gradient(135deg, var(--primary), var(--secondary));*/
    color: white;
    z-index: 1000;
    transition: bottom 0.6s ease;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2); /* Soft shadow for navbar */
}

.navbar a {
    color: white;
    text-decoration: none;
    margin: 0 10px;
    font-size: 1em;
    text-align: center;
}

/* Bottom Menu Styling */
.bottom-menu, .backColor {
    position: fixed;
    bottom: -1500px; /* Initially hidden */
    left: 50%;  /*Start from the center horizontally */
    transform: translateX(-50%); /*Center the div horizontally */
    
    width: 100%; /* Limit the max width for better visibility */
    /*background: linear-gradient(to right, #FB974B, #C53932);*/
    background: linear-gradient(to right, #aba9a9, #000000);
    color: white;
    height:87vh;
    transition: bottom 0.6s ease; /* Smooth sliding effect */
   
    display: flex;
    flex-direction: column;
    align-items: center;
    z-index: 50;
   
    box-shadow: 0px -4px 8px rgba(0, 0, 0, 0.2);
    border-radius: 12px; /* Add rounded corners */
    overflow: hidden; /* Ensure no content overflows the div */
    
}


.menu-item {
    display: block;
    align-items: center;
    padding: 15px;
    cursor: pointer;
    transition: background 0.3s ease;
    border-radius: 20px;
    background: #f0f0f0;
    /*background: linear-gradient(to right, #000000, #661E15);*/
    color: black;
    margin: 5px;
    width: 85%;
}

.menu-item i {
    margin-right: 10px;
}

.menu-item:hover {
    background-color: #444;
}

.menu-item a{
    text-decoration: none;
}

/* Floating Buttons Styling */
#fav-button, #shareBtn, #speakerBtn, #nextBtn, #prviousBtn, #minusBtn , #plusBtn , #closeBtn, #shopping_cart_float , #float_home_btn {
    position: fixed;
    bottom: 310px;
    right: 20px;
    border: 2px solid #fafafa;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    font-size: 1.2em;
    color: #f5f3f2;
    background-color: rgba(193, 65, 41, 0.8);
    cursor: pointer;
    box-shadow: 0px 10px 15px rgba(0, 0, 0, 0.3);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: background 0.3s ease;
    z-index: 500;
}


#prviousBtn{ bottom: 70px; left: 10px;}
#nextBtn { bottom: 70px; }
#shareBtn { bottom: 130px; }
#speakerBtn { bottom: 190px; }
#shopping_cart_float{bottom: 250px;}


.closeBtn{ 
    position: absolute;
    top: 10px;
    right: 15px; 
    z-index: 99;
    border: 2px solid #fafafa;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    font-size: 1.1em;
    color: #f5f3f2;
    background-color: rgba(193, 65, 41, 0.8);
    cursor: pointer;
    box-shadow: 0px 10px 15px rgba(0, 0, 0, 0.3);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: background 0.3s ease;
    
}

.container{
    
    overflow-y: auto;
    width:100%;
    height: auto;
    position: relative;
    z-index: 10;
    padding: 1rem;
    
}

#page1{
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: baseline;
    width: 100%;
    flex-wrap: wrap;
    align-content: space-around;
}

.itemsGrid{
     display:grid;
    grid-template-columns: repeat(auto-fill, minmax(min(400px, 75%), 1fr));
    gap: 0.4rem;
}

#page4{
    width: 100%;
}


/* Slider Container Styling */
.slider-container {
    position: fixed;
    bottom: -180px;
    float: left;
    transition: bottom 0.6s ease;
    width: 100%;
    padding: 30px;
}

/* Display Box for Slider Value */
.slider-value {
    position: absolute;
    top: -50px;
    left: 50%;
    transform: translateX(-50%);
    background: linear-gradient(to right, #FB974B, #C53932);
    color: white;
    padding: 10px;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: .9rem;
}

/* Slider Styling */
input[type="range"] {
    -webkit-appearance: none;
    width: 100%;
    height: 10px;
    background: #ddd;
    outline: none;
    border-radius: 5px;
}

input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 40px;
    height: 40px;
    background: #fff;
    border: 2px solid #333;
    border-radius: 50%;
    cursor: pointer;
}



/* Animate From Bottom */
.animate-from-bottom {
    position: relative;
    transform: translateY(100vh);
    animation: moveUp 1s ease-out forwards;
}

@keyframes moveUp {
    from { transform: translateY(100vh); }
    to { transform: translateY(0); }
}

#searchPostCode{
    margin: 20px auto;
    width: 80%;
}
/* this button style*/
  .cta {
            display: inline-block;
            margin-top: 20px;
            padding: 10px 20px;
            background-color: #d9534f;
            color: #fff;
            text-decoration: none;
            border-radius: 5px;
            font-weight: bold;
        }
        .cta:hover {
            background-color: #c9302c;
        }



.article {
    padding: 20px;
    margin: 10px;
    background: white;
    border-radius: 10px;
    /*border: 2px solid #d4af37;*/
    box-shadow: 0px 14px 8px rgba(0, 0, 0, 0.1);
    position: relative;
    overflow: hidden;
    
}

.articleSelect{
    border: 3px solid #d4af37;
}

.article::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: repeating-linear-gradient(
        45deg,
        rgba(212, 175, 55, 0.1),
        rgba(212, 175, 55, 0.1) 10px,
        rgba(240, 234, 214, 0.1) 10px,
        rgba(240, 234, 214, 0.1) 20px
    );
    opacity: 0.2;
    pointer-events: none;
    
}

.article h2 {
    font-size: 1.6rem;
    color: #bd8d29;
    margin-bottom: 10px;
    border-bottom: 1px solid #d4af37;
    padding-bottom: 5px;
}

.article p{
    overflow: hidden;
    font-size: .8em;
    max-width: 65%;
}

.article form{
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    
    
}
.article input , input[type="submit"], button{
    font-size: 1em;
    padding: 10px;
    border-radius: 10px;
    border: 2px solid #d4af37;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    position: relative;
    
}

.article label{
    font-size: 1em;
    color: black;
}
.article img{
    position: absolute;
    top: 5px; /* Align to the top */
    right: 5px; /* Align to the right */
    padding: 5px;
    max-width: 100px; /* Restrict the image size */
    height: auto; /* Maintain aspect ratio */
    border-radius: 8px; /* Optional: Rounded corners */
    margin: 8px; /* Add spacing from the edges */
    object-fit: contain;
    
}
.article h5{
    overflow: hidden;
    font-size: 1em;
    max-width: 85%;
    
}
#singleItem {
    display: flex;
    flex-direction: column;
    padding: 0px;
    /*justify-content: space-between;  Align content to the top */
    height: 100%; /* Full viewport height */
    width: 100%; /* Full width */
    box-sizing: border-box; /* Include padding in height/width calculations */
    background-color: #000000; /* Light background color for contrast */
    scrollbar-width: none;
    overflow-y :auto;
}



#siImgDisplay{
   width: 100%;
  height: auto;
  object-fit: contain;
  max-height: 300px;
  display: block;
  margin: 0 auto;
  opacity: 0;
  transform: scale(0.95);
  transition: opacity 0.5s ease, transform 0.5s ease;
}

#siImgDisplay.show{
    opacity: 1;
  transform: scale(1);
}

/* Style for the title (assumes title is inside a <p> tag with bold text) */
#singleItem p:first-of-type {
    font-size: 1.5em; /* Larger font size for title */
    font-weight: bold; /* Bold text */
    margin-bottom: 5px; /* Space below the title */
    color: #fff; /* Darker color for readability */
    text-align: center; /* Center the title text */
}

/* Style for the rest of the paragraphs inside #singleItem */
#singleItem p {
    font-size: 1.2em; 
    padding: 0px 0px 0px 20px;
    color: #555; /* Slightly lighter color than the title */
    text-align: left; /* Justify text for clean alignment */
    
    
    color: white;
    width: 95%;
    
    /*overflow: auto;*/
}

        
button:hover {
            transform: translateY(-5px);
            box-shadow: 0 10px 20px rgba(0,0,0,0.2);
        }
        
#price {
    font-size: 1.2em; /* Larger font size for title */
    font-weight: bold; /* Bold text */
    
    color: #fff; /* Darker color for readability */
    text-align: center; /* Center the title text */
     position: absolute;
    right: 15px;
    bottom: 15px;
    padding: 10px;
    background: black;
}

#singleItemWrapper{
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 100%;
    max-width: 1000px;
    justify-content: flex-end;
    /* flex-wrap: nowrap; */
    position: relative;
    font-size: 1em;
    overflow: auto;

}



h3{
	
    color: #ffffff;
    border-bottom: 1px solid #ffffff;
    padding-bottom: 5px;
}

 .imgBox{
     width: 100%;
     height: auto;
   
    }

    
    .imgBox iframe{
        border: none;
        width: 100%; /* or specify a fixed width like '300px' if necessary */
        height: 100px;
    }
    
    .deliveryOptions{
        display: flex;
        flex-direction: column;
        gap: 1px;
        padding: 1rem;
        background: white;
        border-radius: 10px;
        border: 2px solid #d4af37;
        box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
        position: relative;
        
    }
    .deliveryOptions p{
        color: black;
        font-weight: 200;
        }
    .deliveryOptions h3{
        color: black;
    }
.deliveryOptions li, ul {
        color: black;
        font-weight: 100;
        gap: 0px;
}
    
    #categoriesBox{
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(min(200px, 100%), 1fr));
    gap: 10px;
    width: 85%;
    
    padding: 10px;
    height: 100%; /* Set a fixed height for scrolling to work */
    overflow-y: auto; /* Enables vertical scrolling */
    
    scrollbar-width: none;

    }
   
   .categories{
         position: relative;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 5px;
    overflow: hidden;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 150px; /* Fixed height for demonstration */
        
    }

#categoriesBox img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover; /* Cover the entire area */
    z-index: 0;
    filter: brightness(0.9); /* Darken image for better text visibility */
}

 #categoriesBox .content {
    position: absolute;
    z-index: 10; /* Above the image */
    color: #fff;
    font-size: 2em;
    font-weight: bold;
    text-shadow: 0 0 5px rgba(0, 0, 0, 0.8);
}

.quantity-container {
    position: absolute;
            bottom: 8px;
            right: 15px;
            display: flex;
            align-items: center;
            justify-content: space-between;
            width: 170px;
            height: 50px;
            background-color: #1e67b6;
            border-radius: 18px;
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
            padding: 5px;
}

.quantity-btn {
            display: flex;
            align-items: center;
            justify-content: center;
            width: 40px;
            height: 40px;
            background-color: #ffffff;
            color: #060606;
            font-size: 1.5em;
            font-weight: 800;
            border: none;
            border-radius: 50%;
            cursor: pointer;
            transition: background-color 0.3s ease;
            position: relative;
}

.quantity-btn:hover {
    background-color: #ddd;
}

.quantity-btn:active {
    background-color: #bbb;
    transform: scale(0.95);
}

#plusBtn{ bottom: 75px;}
#minusBtn{bottom: 75px; right: 200px;}


#quantity {
    width: 75px;
    text-align: center;
    font-size: 2rem;
    border: none;
    outline: solid;
    background-color: white;
    pointer-events: none; /* Prevent manual edits */
    
}

#quantity1{
    padding: 5px;
    font-size: 1em;
    font-weight: 800;
    pointer-events: none; /* Prevent manual edits */
}

#extraBtn, #sizeBtn, #crustBtn{
    position:relative;
    display:flex;
    align-content: center;
    justify-content:left;
    width: 80%;
    /*height: 40px;*/
    font-size: 1em;
    background: #e26c3f;
    border: 1px white;
    color: white;
    padding: .5em;
    margin: 15px auto 15px auto;
    box-shadow: 0px 10px 15px rgba(0, 0, 0, 0.3);
}
#extraBtn li, #sizeBtn li, #crustBtn li{
    color:white;
}

 .add-to-cart-btn {
   
    color: black;
    border: none;
    padding: 8px 16px;
    border-radius: 4px;
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 8px;
    transition: all 0.3s ease;
  }
  
  .add-to-cart-btn.added {
    background-color: #2196F3; /* Blue */
  }
  
  .add-to-cart-btn i {
    font-size: 1em;
  }

#selectedExtra{
            width: 100%;
            height: 50vh;
            
            padding: 20px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            background: #2e2e2e;
            margin: 20px auto;
            border-radius: 8px;
}

  .option-wrapper, .sizeOption, .crustOptions {
        
            /*height: 100%;*/
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            margin: 20px;
            border-radius: 8px;
            overflow: auto;
        }

        
        .option-wrapper  label, .sizeOption label, .crustOptions label {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 10px;
            border: 1px solid #ccc;
            border-radius: 5px;
            margin-bottom: 5px;
            cursor: pointer;
            position: relative;
        }

        .option-wrapper  input[type="radio"], .sizeOption input[type="radio"], .crustOptions input[type="radio"] {
            display: none;
            width:30px;
            height:30px;
        }

    .option-wrapper  input[type="radio"]:checked + label{
            background-color: #322ED4;
            border-color: #33aaff;
        
    } 
    .sizeOption  input[type="radio"]:checked + label{
            background-color: #322ED4;
            border-color: #33aaff;
        
    } 
    .crustOptions  input[type="radio"]:checked + label{
            
            background-color: #322ED4;
            border-color: #33aaff;
        }
    .crustPrice{
        font-size: 1.2em;
        font-weight: 500;
        min-width: 50px ;
    }
       
        
    .option-wrapper input[type="radio"]:focus + label,
        .sizeOption input[type="radio"]:focus + label, .crustOptions input[type="radio"]:focus + label {
        outline: 2px solid red;
    }


        .extraOptions {
            display: none;
            margin-top: 10px;
            text-align: center;
        }

        .extraOptions button {
            margin: 5px;
            padding: 8px 16px;
            border-radius: 4px;
            border: 1px solid #ccc;
            cursor: pointer;
            transition: background 0.3s, color 0.3s;
        }

        .extraOptions button:hover {
            background: #33aaff;
            color: black;
        }

        .saveButton {
            width: 100%;
            padding: 15px;
            font-size: 18px;
            background-color: #4caf50;
            color: white;
            text-align: center;
            border: none;
            cursor: pointer;
            margin-top: 20px;
        }

        .saveButton:hover {
            background-color: #45a049;
        }

        .selectedOption {
            font-size: 0.9em;
            color: #ffff;
        }
       
        
        #selectedSize, #selectedExtra, #crustOptions{
            height: 100vh;
            overflow: auto;
            width: 80%;
            
        }
        
        /* Small phones (Very small screens) */
@media (max-width: 480px) {
     #selectedSize, #selectedExtra, #crustOptions{
        width: 100%;
        font-size: 12px;
        text-align: center;
        padding: 10px;
    }
    #singleItemWrapper{
        width: 100%;
    }
}

/* Mobile devices (Smaller screens) */
@media (max-width: 768px) {
     #selectedSize, #selectedExtra, #crustOptions {
        width: 95%;
        font-size: 14px;
        
    }
}
        
        
        
        #message{
        width: 100%;
        height: 100%;
        padding: 2.5rem;
        color: black;
        overflow: auto;
        }
        #message p{
            width: 90%;
            line-height: 1em;
            color: black;
        }
        
        .crustInfo{
            font-size: .8em;
            width: 30%;
            overflow: auto;
            font-style:italic;
            
        }
        
        /* this part is for cart css*/
    .item-container {
      position: relative;
      
      align-items: center;
      margin: 10px auto 10px auto;
      padding:10px;
     
      /*box-shadow: 1px 3px 9px 0px #000000;*/
        width: 100%;
        background: white;
        border-radius: 10px;
        border: 2px solid #d4af37;
        box-shadow: 0px 14px 8px rgba(0, 0, 0, 0.1);
    }
    .item-container h3{
        color: #000000;
    }
    .item-image {
      width: 50px;
      height: auto;
      margin-right: 20px;
      
    }
    .item-description {
      flex: 1;
    }
    .item-description p{
        color: #000000;
        width: 100%;
        overflow: hidden;
        padding: 7px;
    }
    .item-quantity {
      width: 25%;
      color: white;
      text-align: center;
      position: relative;
      padding: 7px;
      background: #007bff;
      font-size: 1.2em;
      border:none;
    }
    .item-price {
      font-weight: bold;
	  
	  font-size: 1.5em;
	  color: #000000;
	  float: right;
	  position: inherit;
    }
    .total-amount {
      font-weight: bold;
    }
    .delete-button {
      position: absolute;
      top: 10px;
      right: 10px;
      cursor: pointer;
      color: #000000;
      font-size: 1.6em;
    }
/*this part is for the coupon*/


.centered-button {
	  padding: 10px 15px;
	  background-color: #007bff;
	  color: #fff;
	  border: none;
	  border-radius: 5px;
	  font-size: 16px;
	  cursor: pointer;
	  box-shadow: 9px 8px 6px 3px rgba(0, 0, 0, 0.1);
}
.coupon_entry{
	padding: 10px 15px;
  position: relative;
  font-size: 1em;
  margin: 5px 10px 5px 10px;
  width: 100%;
}
.item-container-coupon {
  position: relative;
  display: flex;
  /*flex-direction: column; /*Lay children in a row */
  align-items: center;
  margin-bottom: 20px;
  padding: 5px;
  height: 7em;
   /* box-shadow: 9px 8px 16px 13px rgba(0, 0, 0, 0.1);*/
}
.item-container-coupon h4{
  position: relative;
  margin:0;
  padding: 10px;
  color: #ffffff;
}
 #couponInfo{
    position: absolute;
    bottom: 0px;
    margin: 10px;
 }


    .totalAmount{
        font-size: 1.2rem; 
        border: none; 
        background-color: #000000;
        width: 100px;
        color: #ffffff;
        font-weight: 600;
        
    }
    
     .responsive-iframe-container {
        position: relative;
        padding-top: 10px; /* 16:9 aspect ratio */
        height: auto;
        overflow: hidden;
    }

   
    
    
/*this part is the customer details form*/
     .form-container {
      max-width: 400px;
      margin: 0 auto;
      padding: 20px;
    }

    .form-container input[type="text"],
    .form-container input[type="email"],
    .form-container input[type="tel"] {
      width: 100%;
      padding: 10px;
      font-size: .9em;
      margin-bottom: 15px;
      box-sizing: border-box;
      border-bottom: solid;
      border-radius: 5px;
      box-shadow: 0 12px 15px rgba(0, 0, 0, 0.1);
    }

    .form-container button[type="submit"] {
      background-color: #5096E2;
      color: #ffff;
      font-size: 1.3em;
      padding: 10px 20px;
      border: none;
      cursor: pointer;
      margin: 10px;
      width: 95%;
      border-radius: 10px;
    }
 .form-container button[type="submit"]:hover {
      background-color: #0267F2;
      color: #ffff;
      
    }

    .form-container label{
        margin-bottom: 5px;
        color: black;
        font-size: 1em;
        margin-bottom: 15px;
        
    }

    .error-message {
      color: red;
      font-size: 14px;
      margin-top: 5px;
    }
    
    
    #cartPage{
        position: relative;
        overflow-y: auto;
       /* background: linear-gradient(to right, #FB974B, #C53932);*/
       /*background: linear-gradient(to right, #FFAA7A, #E55B46, #C8413A);*/
        height: 100%;
        
    }
  /* delivery options on invoice page */
  
    .deliveryC {
      position: relative;
      display: flex;
      flex-direction: column;
      align-items: center;
      margin: 10px auto 20px auto;
      padding: 10px;
      box-shadow: 9px 8px 16px 13px rgba(0, 0, 0, 0.1);
    }	

.button-group {
  display: flex;
  gap: 10px; /* Space between buttons */
}

.center-container {
	  display: flex;
	  justify-content: center;
	  align-items: center;
	  background: black;
	  color:#ffff;
	  
}

.centered-button {
	  padding: 10px 55px;
	  background-color: #007bff;
	  color: #fff;
	  border: none;
	  border-radius: 5px;
	  font-size: 16px;
	  cursor: pointer;
	  margin: 10px;
	  box-shadow: 9px 8px 6px 3px rgba(0, 0, 0, 0.1);
 
}

/* Style for buttons */
.button-group button {
  padding: 10px 15px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  color: white;
  font-size: .8em;
  margin: 10px;
  width: 100%;
  
}

.button-group button:hover {
  background-color: #0056b3; /* Darker button on hover */
}

.deliveryLbl{
  font-size: 1.3rem;
  margin-bottom: 10px; /* Add space between title and buttons */
  text-align: center; 
}
#Capply{
    max-width: 50px ;
    display: flex;
    justify-content: center;
}


/*style for iframe container customer details*/
  .responsive-iframe-container {
        position: relative;
        padding: 10px; /* 16:9 aspect ratio */
        height: 650px;
        overflow: hidden;
    }

    .responsive-iframe-container iframe {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        border: none;
    }
.totalAmountCss{
        display: flex;
    background: black;
    font-size: 1.5em;
    margin: 20px 10px 50px 10px ;
    padding: 10px;
    border: none;
    justify-content: flex-start;
}
#selectedSupplier{
    
    width: 100%;
    max-width: 950px;
    display: flex;
    flex-direction: column;
    gap: 20px;
    /*font-size: 1.2em;*/
    margin: 0 auto;
    padding: 1.5rem;
    box-shadow: 0 0 10px rgba(0,0,0,0.05);
    overflow-y: auto;
    scrollbar-width: none;
    scroll-behavior: smooth;
    
}


  /* Image Modal Styles */
        .modal-mask {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: rgba(0, 0, 0, 0.8);
            z-index: 499;
            display: none;
        }

        .modal {
            position: fixed;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%) scale(0);
            width: 75%;
            height: auto;
            z-index: 9999;
            display: flex;
            justify-content: center;
            align-items: center;
            background: white;
            border-radius: 8px;
            overflow: hidden;
            box-shadow: 0 4px 10px rgba(0, 0, 0, 0.4);
            transition: transform 0.3s ease-in-out;
        }

        .modal img {
            width: 100%;
            height: auto;
            object-fit: cover;
            cursor: zoom-in;
            transition: transform 0.3s ease;
        }

        .modal img.zoomed {
            cursor: zoom-out;
            transform: scale(2); /* Zoom scale */
        }

        .close-btn {
            position: absolute;
            top: 10px;
            right: 10px;
            background: #f44336;
            color: white;
            border: none;
            border-radius: 50%;
            width: 32px;
            height: 32px;
            display: flex;
            justify-content: center;
            align-items: center;
            font-size: 18px;
            cursor: pointer;
        }

        .close-btn:hover {
            background: #d32f2f;
        }
        
        /* Sale tag */
.sale-tag {
 position: absolute;
bottom: 16px;
padding: 1.2em;
  right: -37px; /* Offset to rotate within bounds */
  background: linear-gradient(to right, #FF4E50, #F9D423);
  color: #fff;
  font-size: 14px;
  font-weight: bold;
  text-transform: uppercase;
  padding: 5px 50px; /* Ensure tag extends across */
  transform: rotate(313deg); /* Rotate to create the angled look */
  transform-origin: center;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
  z-index: 10;
  text-align: center;
  white-space: nowrap;
 animation: pulse 1.5s infinite;
}

/* Keyframes for pulse animation */
@keyframes pulse {
  0%, 100% {
    box-shadow: 0 0 0 0 rgba(255, 77, 79, 0.8);
  }
  50% {
    box-shadow: 0 0 20px 10px rgba(255, 77, 79, 0.2);
  }
}


.supplierMenuBtn {
    background-color: #ff6600; /* Vibrant orange */
    color: white;
    border: none;
    padding: 12px 24px;
    font-size: 16px;
    border-radius: 50px; /* Rounded edges */
    cursor: pointer;
    transition: background 0.3s ease, transform 0.2s ease;
    outline: none;
    display: inline-block;
    width: 100%;
    
}

.supplierMenuBtn:hover {
    background-color: #e65c00; /* Darker orange */
    transform: scale(1.05); /* Slight zoom effect */
}

.supplierMenuBtn:active {
    background-color: #cc5200; /* Even darker orange */
    transform: scale(0.98); /* Pressed effect */
}

  .centerCart {
            display: flex;
            flex-direction: column;
            justify-content: center; /* Centers horizontally */
            align-items: center; /* Centers vertically */
            height: 100vh; /* Full height to center vertically */
            max-width: 1200px;
        }
        
    #page3{
        display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    }
    
    #logoImg{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    }
    
   /* Overlay */
    .overlay {
      position: fixed;
      top: 0;
      right: 0;
      bottom: 0;
      left: 0;
      background-color: rgba(0, 0, 0, 0.6);
      z-index: 999;
      display: none;
    }

    /* Side Menu */
    .side-menu {
      position: fixed;
      top: 0;
      right: -250px;
      height: 100%;
      width: 250px;
      background-color: #f0f0f0;
      box-shadow: -2px 0 5px rgba(0,0,0,0.5);
      transition: right 0.3s ease;
      z-index: 1000;
      padding: 20px;
    }

    .side-menu.active {
      right: 0;
    }
    
    .side-menu a{
        text-decoration:none;
    }

    /* Toggle Button */
    .menu-toggle {
      
      z-index: 1001;
      background: #1f1f1f;
      color: #fff;
      padding: 10px 15px;
      border: none;
      border-radius: 5px;
      cursor: pointer;
    }

    .menu-it {
      margin: 15px 0;
      font-size: 18px;
      
    }

    .menu-it i {
      margin-right: 10px;
    }
    
    #floatMenuBox{
        z-index: 20;
    }
    
/*recommend Container css*/
.recommendContainer {
  padding: 1rem;
  max-width: 100%;
  overflow-x: auto;
}

.recommendList {
    display: flex;
    flex-wrap: nowrap;
    align-content: center;
    align-items: center;
    justify-content: flex-start;
    overflow-x: auto;
    gap: 1rem;
    padding-bottom: 1rem;
    scroll-snap-type: x mandatory;
}

.recommendCard {
  min-width: 200px;
  flex: 0 0 auto;
  border: 1px solid #ccc;
  border-radius: 10px;
  padding: 0.5rem;
  text-align: center;
  background: #fff;
  scroll-snap-align: start;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
}

.recommendCard img {
  width: 100%;
  height: 140px;
  object-fit: cover;
  object-position: top;
  border-radius: 8px;
  background: #f3f3f3;
}

.recommendTitle {
  font-weight: bold;
  margin-top: 0.5rem;
  color: black;
}

.recommendPrice {
  color: black;
  margin: 1rem;
}

.recommendPrice span{
    font-size: 1.2rem;
    font-weight: 500;
}

ul{
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 1.5rem;
}

.appNav{
    position: sticky;
    left: 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px 10px;
    /* background: linear-gradient(to right, #FB974B, #C53932); */
   
    /* background: linear-gradient(135deg, var(--primary), var(--secondary)); */
    color: white;
    z-index: 50;
    transition: bottom 0.6s ease;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);
}
.appNav a{
    text-decoration: none;
    color: black;
}

.search-container {
            display: flex;
            max-width: 500px;
            
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
            border-radius: 25px;
            overflow: hidden;
            transition: all 0.3s ease;
        }

        .search-container:focus-within {
            box-shadow: 0 2px 15px rgba(0, 0, 0, 0.2);
        }

        .search-input {
            flex-grow: 1;
            padding: 12px 20px;
            border: none;
            font-size: 16px;
            outline: none;
        }

        .search-button {
            background-color: #4CAF50;
            color: white;
            border: none;
            padding: 0 20px;
            cursor: pointer;
            transition: background-color 0.3s;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        .search-button:hover {
            background-color: #45a049;
        }

        .search-icon {
            width: 20px;
            height: 20px;
        }

        .search-results {
            max-width: 500px;
            margin: 0 auto;
            padding: 10px;
            border: 1px solid #ddd;
            border-radius: 5px;
            
            display: none;
        }
        
        .filter-container {
            position: relative;
            display: inline-block;
           
        }
        
        .filter-button {
            background-color: #4CAF50;
            color: white;
            border: none;
            cursor: pointer;
            border-radius: 4px;
            align-items: center;
            transition: all 0.3s;
        }
        
        .filter-button:hover {
            background-color: #45a049;
        }
        
        .dropdown-content {
            display: none;
            position: absolute;
            background-color: white;
            min-width: 220px;
            box-shadow: 0 4px 8px rgba(0,0,0,0.1);
            z-index: 1000;
            border-radius: 4px;
            border: 1px solid #ddd;
        }
        
        .dropdown-content button {
            color: #333;
            padding: 10px 15px;
            width: 100%;
            text-align: left;
            border: none;
            background: none;
            cursor: pointer;
            display: flex;
            align-items: center;
            gap: 10px;
            transition: background 0.2s;
        }
        
        .dropdown-content button:hover {
            background-color: #f5f5f5;
        }
        
        .dropdown-content button i {
            width: 20px;
            text-align: center;
        }
        
        .show {
            display: block;
        }